---
url: "https://vueda.dev/v3/reference/api/rest/schemas/ModelInfoExpand.md"
title: "ModelInfoExpand"
---

# ModelInfoExpand

## Properties

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| name | `string` | yes |  | Expandable field name, as sent in the `e` query parameter. |
| read_only | `boolean` | yes |  |  |
| many | `boolean` | yes |  | Whether the expanded value is a list. |
| app_label | `string` | no |  | Present when the expand has a related model. |
| model | `string` | no |  | Present when the expand has a related model. |
| type_db | `string` | no |  |  |
| type_model | `string` | no |  |  |
| type_serializer | `string` | no |  |  |
| f | `map<string, ModelInfoField>` | no |  | Field metadata of the related serializer, keyed by field name. |
